Anonymous Login
2017-11-21 15:00 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001435OpenClonkEnginepublic2016-08-19 11:42
ReporterClonkonaut 
Assigned ToZapper 
PriorityurgentSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version8.1
Product Version 
Target Version7.0Fixed in Version 
Summary0001435: Objects at the bottom of the map are being deleted
DescriptionObjects are deleted if they reach the very bottom of the map. Of course, BottomOpen was not enabled in my testing case!

The object's position must be near the bottom or maybe exactly the bottom of the map. This does work with all objects that don't really have a low vertex like rocks or firestones. A dynamite stick will not be removed if standing upright but if rotated.

The worst effect is clonks being killed when swimming at the bottom border. This is unacceptable for the upcoming release. :(
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004033

Zapper (developer)

Fixed. It was checked for GetY() + GetHeight()/2 > LandscapeHeight(), which is simply wrong and deletes objects too early. (It was OK for the X position).

I wonder how long that bug had already existed..
+Notes

-Issue History
Date Modified Username Field Change
2015-10-26 14:55 Clonkonaut New Issue
2015-10-26 14:56 Clonkonaut Category Documentation => Engine
2015-10-26 14:56 Clonkonaut Target Version 8.0 => 7.0
2015-10-26 19:07 Zapper Note Added: 0004033
2015-10-26 19:07 Zapper Status new => resolved
2015-10-26 19:07 Zapper Resolution open => fixed
2015-10-26 19:07 Zapper Assigned To => Zapper
2016-08-19 11:42 Newton Status resolved => closed
+Issue History